Package ru.bgcrm.struts.action

# Class ProfileAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
ru.bgcrm.struts.action.ProfileAction

public class ProfileAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfileAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `getUserProfile(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `settings(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.
  `org.apache.struts.action.ActionForward`
  `updatePersonalization(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `updateSettings(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProfileAction

    public ProfileAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `BaseAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:
    Throws:
      `Exception`

  - ### getUserProfile

    public org.apache.struts.action.ActionForward getUserProfile(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### settings

    public org.apache.struts.action.ActionForward settings(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### updateSettings

    public org.apache.struts.action.ActionForward updateSettings(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### updatePersonalization

    public org.apache.struts.action.ActionForward updatePersonalization(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`